cURL
curl --request GET \
--url https://aodocs.altirnao.com/api/workflow/v2beta1/workflows/{workflowId}/states \
--header 'Authorization: Bearer <token>'import requests
url = "https://aodocs.altirnao.com/api/workflow/v2beta1/workflows/{workflowId}/states"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://aodocs.altirnao.com/api/workflow/v2beta1/workflows/{workflowId}/states', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"annotationEditors": [
{
"classId": "<string>",
"className": "<string>",
"description": "<string>",
"displayName": "<string>",
"displayName_i18n": "<string>",
"thumbnailPictureUrl": "<string>",
"value": "<string>"
}
],
"annotationRestrictedViewers": [
{
"classId": "<string>",
"className": "<string>",
"description": "<string>",
"displayName": "<string>",
"displayName_i18n": "<string>",
"thumbnailPictureUrl": "<string>",
"value": "<string>"
}
],
"annotationViewers": [
{
"classId": "<string>",
"className": "<string>",
"description": "<string>",
"displayName": "<string>",
"displayName_i18n": "<string>",
"thumbnailPictureUrl": "<string>",
"value": "<string>"
}
],
"checkOutSettings": {
"addValidatorToPermissions": true,
"applyPreviousVersionPermissions": true,
"draftActionPrefix": "<string>",
"permissions": [
{
"displayName": "<string>",
"kind": "<string>",
"thumbnailPictureUrl": "<string>",
"value": "<string>",
"withLink": true
}
]
},
"createdTime": "2023-11-07T05:31:56Z",
"customActions": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>",
"params": {},
"scriptId": "<string>",
"scriptName": "<string>"
}
],
"description": "<string>",
"displayFlags": [],
"draftDocuments": true,
"hiddenFields": [
{
"id": "<string>",
"name": "<string>"
}
],
"id": "<string>",
"kind": "<string>",
"lastModifiedTime": "2023-11-07T05:31:56Z",
"mandatoryFields": [
{
"id": "<string>",
"name": "<string>"
}
],
"name": "<string>",
"name_i18n": "<string>",
"notifications": {
"actionEmail": {
"customEmail": {
"bodyTemplate": "<string>",
"senderTemplate": "<string>",
"subjectTemplate": "<string>"
},
"templateEmail": {
"id": "<string>",
"name": "<string>"
}
},
"notificationEmail": {
"customEmail": {
"bodyTemplate": "<string>",
"senderTemplate": "<string>",
"subjectTemplate": "<string>"
},
"templateEmail": {
"id": "<string>",
"name": "<string>"
}
},
"notifyHumanActionPerformer": true,
"recipients": [
{
"classId": "<string>",
"className": "<string>",
"description": "<string>",
"displayName": "<string>",
"displayName_i18n": "<string>",
"thumbnailPictureUrl": "<string>",
"value": "<string>"
}
]
},
"permissions": [
{
"displayName": "<string>",
"kind": "<string>",
"thumbnailPictureUrl": "<string>",
"value": "<string>",
"withLink": true
}
],
"readOnlyDocumentsNotCheckedOut": true,
"readOnlyFields": [
{
"id": "<string>",
"name": "<string>"
}
],
"resetDocumentPermissions": true,
"transitions": [
{
"createNewDocumentVersion": true,
"createdTime": "2023-11-07T05:31:56Z",
"discardCheckedOutDocument": true,
"elapsedTime": {
"amount": 123
},
"fixedTime": "2023-11-07T05:31:56Z",
"humanAction": {
"actionId": "<string>",
"appliedName": "<string>",
"appliedName_i18n": "<string>",
"commentPlaceholderText": "<string>",
"commentPlaceholderText_i18n": "<string>",
"mandatoryComment": true,
"name": "<string>",
"name_i18n": "<string>",
"performer": {
"classId": "<string>",
"className": "<string>",
"description": "<string>",
"displayName": "<string>",
"displayName_i18n": "<string>",
"thumbnailPictureUrl": "<string>",
"value": "<string>"
},
"reminders": [
{
"condition": {
"params": {},
"scriptId": "<string>",
"scriptName": "<string>"
},
"emailTemplateId": "<string>",
"id": "<string>",
"name": "<string>"
}
],
"validateByAll": true
},
"id": "<string>",
"kind": "<string>",
"lastModifiedTime": "2023-11-07T05:31:56Z",
"propertyData": {
"personValue": {
"classId": "<string>",
"className": "<string>",
"description": "<string>",
"displayName": "<string>",
"displayName_i18n": "<string>",
"thumbnailPictureUrl": "<string>",
"value": "<string>"
},
"propertyId": "<string>",
"value": "<string>"
},
"propertyTime": "<string>",
"relativeTime": {
"after": true,
"amount": 123,
"propertyId": "<string>"
},
"targetStateId": "<string>",
"targetStateName": "<string>",
"targetStateName_i18n": "<string>"
}
]
}
]
}workflow
Get workflowv2beta1workflows states
Lists the workflow states belonging to a workflow.
GET
/
workflow
/
v2beta1
/
workflows
/
{workflowId}
/
states
cURL
Authorizations
google_id_token-a99f12e0google_id_token_legacy-a99f12e0
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the workflow
Query Parameters
The ID of the view
The G Suite domain
The security code
Response
200 - application/json
A ApiWorkflowStateCollection response
An ordered list of ApiWorkflowState
Show child attributes
Show child attributes
⌘I